#!/usr/bin/env python3.2

from pgtools import pgstats
from toolbase import ToolBase


class LongQueriesTool(ToolBase):
    def __init__(self):
        ToolBase.__init__(self, name='longqueries', desc='Lis long queries.')
        self.init()

    def main(self):
        stats = pgstats.PgStats(self.pgm.get_conn('target'))

        for ln in stats.list_long_queries():
            print(ln['query'])
            print('   ', 'query_start:', ln['query_start'].strftime('%F %T'))


tool = LongQueriesTool()
tool.main()

